Package org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.feature

# Class FeatureCrsParameter

java.lang.Object
org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.feature.AbstractFeatureCrs
org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.feature.FeatureCrsParameter

public class FeatureCrsParameter extends AbstractFeatureCrs
Verifies header in the paths /collection/{collectionId}/items/{featureId}

     Abstract Test 4: /conf/crs/crs-parameter
     Test Purpose: Verify that the parameter crs has been implemented correctly
     Requirement: /req/crs/fc-crs-definition, /req/crs/fc-crs-valid-value B, /req/crs/ogc-crs-header, /req/crs/ogc-crs-header-value, /req/crs/geojson

     Test Method
     For
      * each spatial feature collection collectionId,
      * every GML or GeoJSON feature representation supported by the Web API, and
      * every CRS supported for the collection (every CRS listed in the crs property of the collection plus those in the global CRS list, if #/crs is included in the crs property)
     send a request with CRS identifier in the parameter crs to
      * /collections/{collectionId}/items and
      * /collections/{collectionId}/items/{featureId} (with a valid featureId for the collection).
     Verify that
      * every response is a valid Features or Feature response,
      * has the status code 200 and
      * includes a Content-Crs http header with the value of the requested CRS identifier.

Author:
  Lyn Goltz

- ## Field Summary

  ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.feature.AbstractFeatureCrs

  `collectionIdToCrs, collectionIdToDefaultCrs, collectionIdToFeatureId, collectionsResponses`

  ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `requestLoggingFilter, responseLoggingFilter, rootUri`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FeatureCrsParameter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterator<Object[]>`
  `collectionFeatureIdCrs(org.testng.ITestContext testContext)`
  collectionFeatureIdCrs.
  `void`
  `verifyFeatureCrsParameter(String collectionId, io.restassured.path.json.JsonPath collection, String featureId, CoordinateSystem crs)`
  Test: Content-Crs header in the path /collections/{collectionId}/items/{featureId}

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.feature.AbstractFeatureCrs

  `collectionFeatureId, retrieveRequiredInformationFromTestContext`

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `clearMessages, getRequest, getResponse, init, initCommonFixture`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FeatureCrsParameter

    public FeatureCrsParameter()

- ## Method Details

  - ### collectionFeatureIdCrs

    @DataProvider(name="collectionFeatureIdCrs") public Iterator<Object[]> collectionFeatureIdCrs(org.testng.ITestContext testContext)

    collectionFeatureIdCrs.

    Parameters:
      `testContext` - a `ITestContext` object
    Returns:
      a `Iterator` object

  - ### verifyFeatureCrsParameter

    public void verifyFeatureCrsParameter(String collectionId, io.restassured.path.json.JsonPath collection, String featureId, CoordinateSystem crs)
    Test: Content-Crs header in the path /collections/{collectionId}/items/{featureId}
    Parameters:
      `collectionId` - id id of the collection, never `null`
      `collection` - the /collection object, never `null`
      `featureId` - id id of the feature, never `null`
      `crs` - the crs to test, never `null`